/*
	Copyright 2009 by Blake Chapman (nemoricus@gmail.com)

	This file is part of Vessel Parameters MFD.

	Vessel Parameters MFD is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

	doubleToSI and numDecimals from [http://www.orbithangar.com/searchid.php?ID=3609 FreeOrbitMFD by CJ Plooy] were 
	modified and used for formatting the SI prefixes.

*/

#ifndef VESSEL_PARAMETERS_MFD_TYPEDEFS
#define VESSEL_PARAMETERS_MFD_TYPEDEFS

class VesselParametersMfd; //Used to acquire, store, and display vessel information.
class VesselParametersMfdInfo; //This holds the settings for a given MFD instance.
class VesselParametersMfdManager; //Manages all active Vessel Parameters MFD instances.

enum ParametersMode {MASS, TANKS, ENGINES}; //Used to determine which output mode the MFD is in.
enum Massdisplay {KILOGRAMS, METRIC_TONS, PERCENTAGE}; //Determines the units that a mass figure is given in.
enum Enginesdisplay {DEGREES, RADIANS}; //Determines the units that a rotational acceleration appears in.
enum Notation {EXP, SI}; //Determines the format of the output numbers, either SI units or exponential notation.

#endif //!VESSEL_PARAMETERS_MFD_TYPEDEFS